--- /dev/null	2012-07-09 14:38:14.000000000 +0000
+++ new/usr/src/uts/common/inet/dccp/dccpddi.c	2012-07-09 14:38:14.534476613 +0000
@@ -0,0 +1,59 @@
+/*
+ * This file and its contents are supplied under the terms of the
+ * Common Development and Distribution License ("CDDL"), version 1.0.
+ * You may only use this file in accordance with the terms of version
+ * 1.0 of the CDDL.
+ *
+ * A full copy of the text of the CDDL should have accompanied this
+ * source.  A copy of the CDDL is also available via the Internet at
+ * http://www.illumos.org/license/CDDL.
+ */
+
+/*
+ * Copyright 2012 David Hoeppner.  All rights reserved.
+ */
+
+#include <sys/types.h>
+#include <sys/conf.h>
+#include <sys/modctl.h>
+#include <inet/common.h>
+#include <inet/ip.h>
+#include <sys/strsubr.h>
+#include <sys/socketvar.h>
+
+#include "dccp_impl.h"
+
+#define	INET_NAME	"dccp"
+#define	INET_MODDESC	"DCCP dummy STREAMS module"
+#define	INET_DEVDESC	"DCCP STREAMS driver"
+#define	INET_SOCKDESC	"DCCP socket module"
+#define	INET_MODSTRTAB	dummymodinfo
+#define	INET_DEVSTRTAB	dccpinfov4
+#define	INET_MODMTFLAGS	D_MP
+#define	INET_SOCK_PROTO_CREATE_FUNC	(*dccp_create)
+#define	INET_SOCK_PROTO_FB_FUNC		(*dccp_fallback)
+#define	INET_SOCK_FALLBACK_DEV_V4	"/dev/dccp"
+#define	INET_SOCK_FALLBACK_DEV_V6	"/dev/dccp6"
+#define	INET_DEVMINOR	0
+#define INET_MODMTFLAGS	D_MP
+#define	INET_DEVMTFLAGS (D_MP|_D_DIRECT)
+
+#include "../inetddi.c"
+
+int
+_init(void)
+{
+	return (mod_install(&modlinkage));
+}
+
+int
+_fini(void)
+{
+	return (mod_remove(&modlinkage));
+}
+
+int
+_info(struct modinfo *modinfop)
+{
+	return (mod_info(&modlinkage, modinfop));
+}
